# doc

## Purpose

Generates javadoc and groovydoc documentation from the current Griffon project.

## Examples

    griffon doc

## Description

Since Griffon is a mixed source framework it is useful to have both Java and Groovy documentation to cover the system. The doc command generates javadoc (the standard format for Java documentation) and groovydoc comments.

The documentation itself is generated into the following directory:

- `docs/api` - Location of javadoc and groovydoc comments

Usage:

    griffon doc